Qore Programming Language: DBIDriverList Class Reference

Qore Programming Language 0.8.11

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
DBIDriverList Class Reference

this class is used to register and find DBI drivers loaded in qore More...

`#include <DBI.h>`

## Public Member Functions
DLLEXPORT DBIDriver * | find (const char *name) const
| finds a driver, will try to load the driver using the ModuleManager if no such driver is already present More...
DLLEXPORT DBIDriver * | find (const char *name, ExceptionSink *xsink) const
| finds a driver, will try to load the driver using the ModuleManager if no such driver is already present More...
DLLEXPORT DBIDriver * | registerDriver (const char *name, const qore_dbi_method_list &methods, int caps)
| registers a new DBI driver More...

## Detailed Description

this class is used to register and find DBI drivers loaded in qore

this class will all use the ModuleManager to try and load a driver if it is not already loaded when find() is called

See Also
  ModuleManager

## Member Function Documentation

DLLEXPORT DBIDriver* DBIDriverList::find | ( | const char * | name | ) | const

finds a driver, will try to load the driver using the ModuleManager if no such driver is already present

Parameters

  name | the name of the driver to find (or load)

Returns
  the DBIDriver found or 0 if not found and was not loaded

See Also
  ModuleManager

DLLEXPORT DBIDriver* DBIDriverList::find | ( | const char * | name,
|  | ExceptionSink * | xsink
| ) |  | const

finds a driver, will try to load the driver using the ModuleManager if no such driver is already present

Parameters

  name | the name of the driver to find (or load)
  xsink | Qore-language exceptions saved here if any occur

Returns
  the DBIDriver found or 0 if not found and was not loaded

See Also
  ModuleManager

DLLEXPORT DBIDriver* DBIDriverList::registerDriver | ( | const char * | name,
|  | const qore_dbi_method_list & | methods,
|  | int | caps
| ) |  |

registers a new DBI driver

Parameters

  name | the name of the driver (ex: "oracle")
  methods | the list of methods the driver supports
  caps | the capabilities the driver supports

Returns
  the DBIDriver object created

The documentation for this class was generated from the following file:

- include/qore/DBI.h (6585)